'use strict';
import HeroFactory from './heroes/HeroFactory';
import PhaserGame from './view/PhaserGame';
import { Faction } from './model/const/faction-enum';

export default class GameCreator {
  constructor() {
    let heroFactory = new HeroFactory();


    let heroesSet = heroFactory.getFactionRandom(Faction.MECA);
    console.log('Faction Set : ', heroesSet);

    let phaser = new PhaserGame(heroesSet);


  }
}
